Quassel IRC - Bug #1072

Linker error on kFreeBsd in Debian
04/11/2011 10:42 PM - DeepDiver

Status: Resolved Start date: 04/11/2011
Priority: Normal Due date:

Assignee: johu % Done: 100%
Category: Build System Estimated time: 0.00 hour
Target version: 0.7.4

Version: 0.7-pre 0S: Any
Description

Hi,

a bug has been reported for the kFreeBsd build in Debian:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=620542

We had the same issue back in 2009 with the Linux build in Debian.
Please find my proposal of the fix attached.
Take care,

Thomas

Associated revisions

Revision 3f7cb44fffb2beea003892fa2709025d23040c17 - 01/20/2012 07:28 PM - DeepDiver
In kFreeBSD the library dI is not linked

The toolchain in sid on kFreeBSD has changed and the library
dl is no longer linked implicit. fixes #1072

Revision 3f7cb44f - 01/20/2012 07:28 PM - DeepDiver
In kFreeBSD the library dI is not linked

The toolchain in sid on kFreeBSD has changed and the library
dl is no longer linked implicit. fixes #1072

Revision f84194fa01fa29ad2dded0e7df375c9d9b0bd10e - 01/21/2012 08:09 PM - DeepDiver
In kFreeBSD the library dI is not linked

The toolchain in sid on kFreeBSD has changed and the library
dl is no longer linked implicit. fixes #1072

Revision f84194fa - 01/21/2012 08:09 PM - DeepDiver
In kFreeBSD the library dI is not linked

The toolchain in sid on kFreeBSD has changed and the library
dl is no longer linked implicit. fixes #1072

History

#1 - 04/19/2011 07:18 PM - johu

- Assignee set to johu

see https://gitorious.org/quassel/quassel/merge _requests/126

#2 - 04/19/2011 07:20 PM - johu

- Status changed from New to Assigned

05/24/2025

1/2



http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=620542
https://gitorious.org/quassel/quassel/merge_requests/126

#3 - 09/08/2011 10:58 PM - johu
- Target version changed from 0.7.3 to 0.7.4

#4 - 01/21/2012 08:09 PM - DeepDiver
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset 3f7cb44fffb2beea003892fa2709025d23040c¢17.
02_fix_kfreebsd_build.patch 946 Bytes
